Package be.fgov.ehealth.ehbox.core.v3

# Class ContentSpecificationType

java.lang.Object
be.fgov.ehealth.ehbox.core.v3.ContentSpecificationType

All Implemented Interfaces:
  `Serializable`

Direct Known Subclasses:
  `ContentSpecificationType`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class ContentSpecificationType extends Object implements Serializable
ContentSpecification for consultation

Java class for ContentSpecificationType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ContentSpecificationType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ApplicationName" minOccurs="0">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <minLength value="1"/>
                   <maxLength value="25"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="ContentType">
               <simpleType>
                 <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                   <enumeration value="DOCUMENT"/>
                   <enumeration value="NEWS"/>
                   <enumeration value="ACKNOWLEDGMENT"/>
                   <enumeration value="ERROR"/>
                 </restriction>
               </simpleType>
             </element>
             <element name="IsImportant" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
             <element name="IsEncrypted" type="{http://www.w3.org/2001/XMLSchema}boolean"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContentSpecificationType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getApplicationName()`
  Specifies the name of the sending application
  `String`
  `getContentType()`
  Gets the value of the contentType property.
  `boolean`
  `isIsEncrypted()`
  Indicates whether the "Encryptable" items ALL contain encrypted content
  `boolean`
  `isIsImportant()`
  V1 "HasPriority"
  `void`
  `setApplicationName(String value)`
  Sets the value of the applicationName property.
  `void`
  `setContentType(String value)`
  Sets the value of the contentType property.
  `void`
  `setIsEncrypted(boolean value)`
  Sets the value of the isEncrypted property.
  `void`
  `setIsImportant(boolean value)`
  Sets the value of the isImportant property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContentSpecificationType

    public ContentSpecificationType()

- ## Method Details

  - ### getApplicationName

    public String getApplicationName()
    Specifies the name of the sending application
    Returns:
      possible object is `String`

  - ### setApplicationName

    public void setApplicationName(String value)
    Sets the value of the applicationName property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getApplicationName()`

  - ### getContentType

    public String getContentType()
    Gets the value of the contentType property.
    Returns:
      possible object is `String`

  - ### setContentType

    public void setContentType(String value)
    Sets the value of the contentType property.
    Parameters:
      `value` - allowed object is `String`

  - ### isIsImportant

    public boolean isIsImportant()
    V1 "HasPriority"

  - ### setIsImportant

    public void setIsImportant(boolean value)
    Sets the value of the isImportant property.

  - ### isIsEncrypted

    public boolean isIsEncrypted()
    Indicates whether the "Encryptable" items ALL contain encrypted content

  - ### setIsEncrypted

    public void setIsEncrypted(boolean value)
    Sets the value of the isEncrypted property.